Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class UserInfo

    java.lang.Object
      org.pentaho.di.repository.UserInfo

    public class UserInfo

extends Object

Constructor Summary
`UserInfo()`
`UserInfo(Repository rep, String login)`
`UserInfo(Repository rep, String login, String passwd)`
`UserInfo(String login, String password, String name, String description, boolean enabled, ProfileMeta profile)`

Method Summary
`org.pentaho.di.core.RowMetaAndData` | `fillTableRow()`
`String` | `getDescription()`
`long` | `getID()`
`String` | `getLogin()`
`String` | `getName()`
`String` | `getPassword()`
`ProfileMeta` | `getProfile()`
`boolean` | `isAdministrator()`
`boolean` | `isReadonly()`
`void` | `saveRep(Repository rep)`
`void` | `setDescription(String description)`
`void` | `setDisabled()`
`void` | `setEnabled()`
`void` | `setEnabled(boolean enabled)`
`void` | `setID(long id)`
`void` | `setLogin(String login)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setProfile(ProfileMeta profile)`
`boolean` | `useJobs()`
`boolean` | `useSchemas()`
`boolean` | `useTransformations()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(String login,
                    String password,
                    String name,
                    String description,
                    boolean enabled,
                    ProfileMeta profile)

### UserInfo

    public UserInfo()

### UserInfo

    public UserInfo(Repository rep,
                    String login)
             throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

### UserInfo

    public UserInfo(Repository rep,
                    String login,
                    String passwd)
             throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### saveRep

    public void saveRep(Repository rep)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### fillTableRow

    public org.pentaho.di.core.RowMetaAndData fillTableRow()

### setLogin

    public void setLogin(String login)

### getLogin

    public String getLogin()

### setPassword

    public void setPassword(String password)

### getPassword

    public String getPassword()

### setName

    public void setName(String name)

### getName

    public String getName()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setEnabled

    public void setEnabled()

### setDisabled

    public void setDisabled()

### setEnabled

    public void setEnabled(boolean enabled)

### setProfile

    public void setProfile(ProfileMeta profile)

### getProfile

    public ProfileMeta getProfile()

### getID

    public long getID()

### setID

    public void setID(long id)

### isReadonly

    public boolean isReadonly()

### isAdministrator

    public boolean isAdministrator()

### useTransformations

    public boolean useTransformations()

### useJobs

    public boolean useJobs()

### useSchemas

    public boolean useSchemas()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD